classification
Title: Add diagnostic tools to importlib?
Type: enhancement Stage: resolved
Components: Versions: Python 3.3
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, ncoghlan
Priority: normal Keywords:

Created on 2011-10-31 22:06 by ncoghlan, last changed 2020-01-24 23:31 by brett.cannon. This issue is now closed.

Messages (5)
msg146746 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2011-10-31 22:06
In discussing the module aliasing PEP on python-ideas, it occurred to me that we could potentially add some useful "sanity check" utilities to an "importlib.diagnostics" subpackage. For example:

- scan sys.path looking for entries that are inside packages
- scan sys.modules looking for entries with duplicate __file__ attributes
- scan for shadowed modules (i.e. like find module, but don't stop when we get a hit, and report *all* modules found)

Thoughts?
msg146820 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-11-02 01:04
If it is importlib._diagnostics then I'm fine with it, but I definitely don't want it exposed in a public API.
msg181117 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-02-01 21:55
Did you still plan to write this code, Nick? Or were you just thinking about loud and don't need this bug here anymore?
msg181124 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-02-01 22:19
I still think it would be a good feature to offer, but have no plans to
write it myself.
msg360662 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2020-01-24 23:31
I'm going to close this as I think this belongs more on PyPI than in the stdlib (feel free to re-open if you disagree, Nick).
History
Date User Action Args
2020-01-24 23:31:39brett.cannonsetstatus: open -> closed

nosy: + brett.cannon
messages: + msg360662

resolution: rejected
stage: needs patch -> resolved
2020-01-24 23:31:08brett.cannonsetnosy: - brett.cannon
2013-02-01 22:19:16ncoghlansetmessages: + msg181124
2013-02-01 21:55:30brett.cannonsetmessages: + msg181117
2011-11-04 22:21:33terry.reedysetversions: + Python 3.3
2011-11-02 01:04:46brett.cannonsetmessages: + msg146820
2011-10-31 22:06:59ncoghlancreate